Qt 5.6 | Qt Widgets | C++ Classes | QTileRules

Qt 5.6.2 Reference Documentation

# QTileRules Class

The QTileRules class provides the rules used to draw a pixmap or image split into nine segments. More...

Header: | #include <QTileRules>
qmake: | QT += widgets
Since: | Qt 4.6

- List of all members, including inherited members

## Public Functions

| QTileRules(Qt::TileRule horizontalRule, Qt::TileRule verticalRule)
| QTileRules(Qt::TileRule rule = Qt::StretchTile)

## Detailed Description

The QTileRules class provides the rules used to draw a pixmap or image split into nine segments.

Spliiting is similar to CSS3 border-images.

See also Qt::TileRule and QMargins.

## Member Function Documentation

### QTileRules::QTileRules(Qt::TileRule horizontalRule, Qt::TileRule verticalRule)

Constructs a QTileRules with the given horizontalRule and verticalRule.

### QTileRules::QTileRules(Qt::TileRule rule = Qt::StretchTile)

Constructs a QTileRules with the given rule used for both the horizontal rule and the vertical rule.